D-Bus: DBusAuthMechanismHandler Struct Reference

D-Bus 1.14.4

Data Fields
DBusAuthMechanismHandler Struct Reference
D-Bus secret internal implementation details » Authentication implementation details

Virtual table representing a particular auth mechanism. More...

## Data Fields
const char * | mechanism
| Name of the mechanism. More...
DBusAuthDataFunction | server_data_func
| Function on server side for DATA. More...
DBusAuthEncodeFunction | server_encode_func
| Function on server side to encode. More...
DBusAuthDecodeFunction | server_decode_func
| Function on server side to decode. More...
DBusAuthShutdownFunction | server_shutdown_func
| Function on server side to shut down. More...
DBusInitialResponseFunction | client_initial_response_func
| Function on client side to handle initial response. More...
DBusAuthDataFunction | client_data_func
| Function on client side for DATA. More...
DBusAuthEncodeFunction | client_encode_func
| Function on client side for encode. More...
DBusAuthDecodeFunction | client_decode_func
| Function on client side for decode. More...
DBusAuthShutdownFunction | client_shutdown_func
| Function on client side for shutdown. More...

## Detailed Description

Virtual table representing a particular auth mechanism.

Definition at line 102 of file dbus-auth.c.

## Field Documentation

## ◆ client_data_func

DBusAuthDataFunction DBusAuthMechanismHandler::client_data_func

Function on client side for DATA.

Definition at line 110 of file dbus-auth.c.

## ◆ client_decode_func

DBusAuthDecodeFunction DBusAuthMechanismHandler::client_decode_func

Function on client side for decode.

Definition at line 112 of file dbus-auth.c.

## ◆ client_encode_func

DBusAuthEncodeFunction DBusAuthMechanismHandler::client_encode_func

Function on client side for encode.

Definition at line 111 of file dbus-auth.c.

## ◆ client_initial_response_func

DBusInitialResponseFunction DBusAuthMechanismHandler::client_initial_response_func

Function on client side to handle initial response.

Definition at line 109 of file dbus-auth.c.

## ◆ client_shutdown_func

DBusAuthShutdownFunction DBusAuthMechanismHandler::client_shutdown_func

Function on client side for shutdown.

Definition at line 113 of file dbus-auth.c.

## ◆ mechanism

const char* DBusAuthMechanismHandler::mechanism

Name of the mechanism.

Definition at line 104 of file dbus-auth.c.

## ◆ server_data_func

DBusAuthDataFunction DBusAuthMechanismHandler::server_data_func

Function on server side for DATA.

Definition at line 105 of file dbus-auth.c.

## ◆ server_decode_func

DBusAuthDecodeFunction DBusAuthMechanismHandler::server_decode_func

Function on server side to decode.

Definition at line 107 of file dbus-auth.c.

## ◆ server_encode_func

DBusAuthEncodeFunction DBusAuthMechanismHandler::server_encode_func

Function on server side to encode.

Definition at line 106 of file dbus-auth.c.

## ◆ server_shutdown_func

DBusAuthShutdownFunction DBusAuthMechanismHandler::server_shutdown_func

Function on server side to shut down.

Definition at line 108 of file dbus-auth.c.

The documentation for this struct was generated from the following file:

- dbus-auth.c